Subject: Re: broken master branch

From: Tom Lane <[email-masked]>
Date: Sat, 08 Apr 2023 11:04:05 -0400

Thomas Munro <[email-masked]> writes:
> On Sat, Apr 8, 2023 at 8:04 PM Pavel Stehule <[email-masked]> wrote:
>> on fresh Fedora 38, I cannot to run regress tests

> Looks like the new LLVM 16.  I'll try to look at this again next week.
> In the meantime you could try using 15.

I've become entirely desensitized to seawasp failing, which is probably
a bad thing, but today I happened to look at it and discovered that
its compiler has been dumping core for some time now:

clang: /home/fabien/llvm-src/llvm/lib/Transforms/Scalar/SROA.cpp:1745: llvm::Value* getAdjustedPtr({anonymous}::IRBuilderTy&, const llvm::DataLayout&, llvm::Value*, llvm::APInt, llvm::Type*, const llvm::Twine&): Assertion `Ptr->getType()->isOpaquePointerTy() && "Only opaque pointers supported"' failed.
PLEASE submit a bug report to https://github.com/llvm/llvm-project/issues/ and include the crash backtrace, preprocessed source, and associated run script.
Stack dump:
0.	Program arguments: /home/fabien/clgtk/bin/clang -Wno-ignored-attributes -fno-strict-aliasing -fwrapv -fexcess-precision=standard -Xclang -no-opaque-pointers -Wno-unused-command-line-argument -Wno-compound-token-split-by-macro -O2 -I../../src/include -D_GNU_SOURCE -I/usr/include/libxml2 -flto=thin -emit-llvm -c -o strftime.bc strftime.c
1.	<eof> parser at end of file
2.	Optimizer

Seems like we ought to look into that, and report it as requested.

			regards, tom lane